qca_cert.h File Reference
`#include "qca_core.h"`
`#include "qca_publickey.h"`
`#include <QDateTime>`
Include dependency graph for qca_cert.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | QCA::Certificate
class | QCA::CertificateAuthority
class | QCA::CertificateChain
class | QCA::CertificateCollection
class | QCA::CertificateInfoOrdered
class | QCA::CertificateInfoPair
class | QCA::CertificateInfoType
class | QCA::CertificateOptions
class | QCA::CertificateRequest
class | QCA::ConstraintType
class | QCA::CRL
class | QCA::CRLEntry
class | QCA::KeyBundle
class | QCA::KeyLoader
class | QCA::PGPKey

## Namespaces

namespace | QCA

## Typedefs

typedef QMultiMap< CertificateInfoType, QString > | QCA::CertificateInfo
typedef QList< ConstraintType > | QCA::Constraints

## Enumerations

enum | QCA::CertificateInfoTypeKnown { QCA::CommonName , QCA::Email , QCA::EmailLegacy , QCA::Organization , QCA::OrganizationalUnit , QCA::Locality , QCA::IncorporationLocality , QCA::State , QCA::IncorporationState , QCA::Country , QCA::IncorporationCountry , QCA::URI , QCA::DNS , QCA::IPAddress , QCA::XMPP }
enum | QCA::CertificateRequestFormat { QCA::PKCS10 , QCA::SPKAC }

enum

QCA::ConstraintTypeKnown {
QCA::DigitalSignature , QCA::NonRepudiation , QCA::KeyEncipherment , QCA::DataEncipherment ,
QCA::KeyAgreement , QCA::KeyCertificateSign , QCA::CRLSign , QCA::EncipherOnly ,
QCA::DecipherOnly , QCA::ServerAuth , QCA::ClientAuth , QCA::CodeSigning ,
QCA::EmailProtection , QCA::IPSecEndSystem , QCA::IPSecTunnel , QCA::IPSecUser ,
QCA::TimeStamping , QCA::OCSPSigning
}

enum | QCA::UsageMode { QCA::UsageAny = 0x00 , QCA::UsageTLSServer = 0x01 , QCA::UsageTLSClient = 0x02 , QCA::UsageCodeSigning = 0x04 , QCA::UsageEmailProtection = 0x08 , QCA::UsageTimeStamping = 0x10 , QCA::UsageCRLSigning = 0x20 }
enum | QCA::ValidateFlags { ValidateAll = 0x00 , ValidateRevoked = 0x01 , ValidateExpired = 0x02 , ValidatePolicy = 0x04 }
enum | QCA::Validity { QCA::ValidityGood , QCA::ErrorRejected , QCA::ErrorUntrusted , QCA::ErrorSignatureFailed , QCA::ErrorInvalidCA , QCA::ErrorInvalidPurpose , QCA::ErrorSelfSigned , QCA::ErrorRevoked , QCA::ErrorPathLengthExceeded , QCA::ErrorExpired , QCA::ErrorExpiredCA , QCA::ErrorValidityUnknown = 64 }

## Functions

QCA_EXPORT QStringList | QCA::makeFriendlyNames (const QList< Certificate > &list)
QCA_EXPORT CertificateInfoOrdered | QCA::orderedDNOnly (const CertificateInfoOrdered &in)
QCA_EXPORT QString | QCA::orderedToDNString (const CertificateInfoOrdered &in)

## Detailed Description

Header file for PGP key and X.509 certificate related classes.

Note
  You should not use this header directly from an application. You should just use #include <QtCrypto> instead.